stages:
  - pre
  - build
  - test
  - analyze
  - pre-verify
  - verify
  - deploy

variables:
  DEFAULT_IMAGE: $CI_REGISTRY_IMAGE/asdf-bootstrapped-verify:$CI_COMMIT_REF_SLUG
  GITPOD_WORKSPACE_IMAGE_BASE: $CI_REGISTRY_IMAGE/gitpod-workspace
  GITPOD_WORKSPACE_IMAGE: $CI_REGISTRY_IMAGE/gitpod-workspace:$CI_COMMIT_REF_SLUG
  BUNDLE_PATH: "vendor/bundle"
  BUNDLE_JOBS: "$(nproc)"
  BUNDLE_FROZEN: "true"
  GDK_DEBUG: "false"
  ENABLE_BOOTSNAP: "false"

default:
  timeout: 3 hours
  interruptible: true
  image: ${DEFAULT_IMAGE}
  tags:
    - gitlab-org
  before_script:
    - test -f support/ci/display_debugging && support/ci/display_debugging

include:
  - template: Workflows/MergeRequest-Pipelines.gitlab-ci.yml
  - local: .gitlab/ci/_rules.gitlab-ci.yml
  - local: .gitlab/ci/_docker.gitlab-ci.yml
  - local: .gitlab/ci/pre.gitlab-ci.yml
  - local: .gitlab/ci/build.gitlab-ci.yml
  - local: .gitlab/ci/test.gitlab-ci.yml
  - local: .gitlab/ci/analyze.gitlab-ci.yml
  - local: .gitlab/ci/verify.gitlab-ci.yml
  - local: .gitlab/ci/deploy.gitlab-ci.yml
